RestResourceDataset Class

A Rest service dataset.

All required parameters must be populated in order to send to Azure.

Inheritance
azure.synapse.artifacts.models._models_py3.Dataset
RestResourceDataset

Constructor

RestResourceDataset(*, linked_service_name: azure.synapse.artifacts.models._models_py3.LinkedServiceReference, additional_properties: Optional[Dict[str, object]] = None, description: Optional[str] = None, structure: Optional[object] = None, schema: Optional[object] = None, parameters: Optional[Dict[str, azure.synapse.artifacts.models._models_py3.ParameterSpecification]] = None, annotations: Optional[List[object]] = None, folder: Optional[azure.synapse.artifacts.models._models_py3.DatasetFolder] = None, relative_url: Optional[object] = None, request_method: Optional[object] = None, request_body: Optional[object] = None, additional_headers: Optional[object] = None, pagination_rules: Optional[object] = None, **kwargs)

Parameters

additional_properties
dict[str, object]
Required

Unmatched properties from the message are deserialized to this collection.

type
str
Required

Required. Type of dataset.Constant filled by server.

description
str
Required

Dataset description.

structure
object
Required

Columns that define the structure of the dataset. Type: array (or Expression with resultType array), itemType: DatasetDataElement.

schema
object
Required

Columns that define the physical type schema of the dataset. Type: array (or Expression with resultType array), itemType: DatasetSchemaDataElement.

linked_service_name
LinkedServiceReference
Required

Required. Linked service reference.

parameters
dict[str, ParameterSpecification]
Required

Parameters for dataset.

annotations
list[object]
Required

List of tags that can be used for describing the Dataset.

folder
DatasetFolder
Required

The folder that this Dataset is in. If not specified, Dataset will appear at the root level.

relative_url
object
Required

The relative URL to the resource that the RESTful API provides. Type: string (or Expression with resultType string).

request_method
object
Required

The HTTP method used to call the RESTful API. The default is GET. Type: string (or Expression with resultType string).

request_body
object
Required

The HTTP request body to the RESTful API if requestMethod is POST. Type: string (or Expression with resultType string).

additional_headers
object
Required

The additional HTTP headers in the request to the RESTful API. Type: string (or Expression with resultType string).

pagination_rules
object
Required

The pagination rules to compose next page requests. Type: string (or Expression with resultType string).